// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// SquiggleReasoner.java -- 
// Author: Christine Alvarado <calvarad@ai.mit.edu> 
// Maintainer: Christine Alvarado <calvarad@ai.mit.edu> 
// Version: 
// Created: <Tue Nov  9 16:42:34 1999> 
// Time-stamp: <2000-01-12 14:09:24 calvarad> 
// Keywords: 
package rec.core.reasoners;

import rec.sys.*;
import java.util.*;

public class SquiggleReasoner extends Reasoner
{

  public SquiggleReasoner()
  {
  }
  
  public Iterator getStrongerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.sys.SpatialWidget" );

    return v.iterator();
  }

  public Iterator getWeakerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.sys.Squiggle" );

    return v.iterator();
  }

  public boolean match( Surface s, Widget stronger, Widget weaker )
  {
    if ( stronger instanceof Squiggle ) {
      return false;
    }
    else {
      return true;
    }
  }
}
